//////////////////////////////////////////////////////////////////////////////
//																			//
//	COPYRIGHT (c) 1998-99, Juan Franklin Pea.  All rights reserved.		//
//	email: bitwise@msn.com													//
//	The C++ Exchange:	http://www.geocities.com/SiliconValley/3341			//
//	This code is provided "as is" without express or implied warranty.		// 
//	Use it at your own risk! The author accepts no liability for any		//
//	damage or loss of business that any of this source code may cause.		//
//																			//
//	This source code may be used in compiled form in any way you desire.	// 
//	Source file(s) may be redistributed unmodified by any means PROVIDING	// 
//	they are not sold for profit without the authors expressed written		// 
//	consent, and providing that this notice and the authors name and all	// 
//	copyright notices remain intact. If the source code is used in any		// 
//	commercial applications then a statement along the lines of				// 
//	"Portions Copyright  1998-99 Juan Franklin Pea" must be included		// 
//	in the startup banner, "About" box or printed documentation. An email	// 
//	letting me know that you are using it would be appreciated.				// 
//	If you find any bugs, please send me an email describing the problem.	//
//																			//
//////////////////////////////////////////////////////////////////////////////

#ifndef CUSTOMOPENFILEDLG_H
#define CUSTOMOPENFILEDLG_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


#include "Resource.h"


class COpenFileDlg : public CDialog
{
// Construction
public:
	// standard constructor
	COpenFileDlg(CString directory, CString fileType, int iconId, BOOL	bOpenDlg = TRUE, CWnd* pParent  = NULL );

	CString GetFilePath();  // Returns full path
	CString GetFileName();  // Returns only the file name without path

private:
	int			m_nIconId;
	CString		m_strDir;
	CString		m_strFileType;
	CString		m_strFileName;
	BOOL		m_bIsOpenFileDlg;
	CImageList	m_IconImage;

// Dialog Data
	//{{AFX_DATA(COpenFileDlg)
	enum { IDD = IDD_OPEN_FILE };
	CEdit		m_ctrlFileName;
	CListCtrl	m_ctrlRequestedFiles;
	CListBox	m_ctrlFiles;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(COpenFileDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDblclkRequestedFiles(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnUpdateEditFilename();
	afx_msg void OnClickRequestedFiles(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // CUSTOMOPENFILEDLG_H
